<nz-modal 
    [nzTitle]="title"
    [nzWidth]="'55%'"
    [nzMaskClosable]="false"
    [(nzVisible)]="isVisible" 
    (nzOnOk)="onSave()"
    (nzOnCancel)="onCancel()" >
    <form
        nz-form
        [nzNoColon]="true">
        <div 
            class="discord-info w-full"
            fxLayout="row"
            fxLayoutAlign="space-between center">
            <div
                class="profile-picture w-full h-full"
                fxLayout="column"
                fxLayoutAlign="center center"
                fxFlex="28">
                <nz-avatar 
                    [nzSize]="100"
                    [nzShape]="'square'"
                    nzIcon="mdi:camera-plus">
                </nz-avatar>
            </div>
            <div
                class="input-fields w-full h-full"
                fxFlex="column"
                fxFlex="78">
                <div 
                    class="username-tag"
                    fxLayout="row"
                    fxLayoutAlign="space-between center">
                    <nz-form-item fxFlex="68">
                        <nz-form-control>
                            <nz-input-group nzPrefixIcon="mdi:discord">
                                <input 
                                    nz-input 
                                    name="discordUsername"
                                    type="text"
                                    placeholder="Username..."
                                    [(ngModel)]="member.discordInfo.username"/>
                            </nz-input-group>
                        </nz-form-control>
                    </nz-form-item>
                    <nz-form-item fxFlex="28">
                        <nz-form-control>
                            <nz-input-group nzPrefixIcon="mdi:pound">
                                <input 
                                    nz-input 
                                    name="discordTag"
                                    type="number"
                                    placeholder="Tag..."
                                    [(ngModel)]="member.discordInfo.tag"/>
                            </nz-input-group>
                        </nz-form-control>
                    </nz-form-item>
                </div>
                <nz-form-item class="mb-0">
                    <nz-form-control>
                        <nz-input-group nzPrefixIcon="mdi:identifier">
                            <input 
                                nz-input 
                                name="discordId"
                                type="text"
                                placeholder="Discord ID..."
                                [(ngModel)]="member.discordInfo.id"/>
                        </nz-input-group>
                    </nz-form-control>
                </nz-form-item>
            </div>
        </div>
        <nz-divider></nz-divider>
        <div 
            class="ranks-roles w-full"
            fxLayout="row"
            fxLayoutAlign="space-between center">
            <div *ngIf="treeSelectRanks" class="ranks" fxFlex="45">
                <nz-tree-select
                    name="tree-select-ranks"
                    nzPlaceHolder="Please select"
                    [nzNodes]="treeSelectRanks"
                    [nzMultiple]="true"
                    [(ngModel)]="ranksValues"
                    (ngModelChange)="onRanksChange($event)"
                    [nzAllowClear]="false">                    
                </nz-tree-select>
            </div>
            <div *ngIf="treeSelectRoles" class="roles" fxFlex="45">
                <nz-tree-select
                    name="tree-select-roles"
                    nzPlaceHolder="Please select"
                    [nzNodes]="treeSelectRoles"
                    [nzMultiple]="true"
                    [(ngModel)]="rolesValues"
                    (ngModelChange)="onRolesChange($event)"
                    [nzAllowClear]="false">
                </nz-tree-select>
            </div>
        </div>
    </form>
</nz-modal>
<ng-template #extraTags>
    <nz-tag *ngFor="let role of prepRoleTags(member.roles, _data.tab).extras">
        {{ role }}
    </nz-tag>
</ng-template>
